# $Revision: 1.31 $, $Date: 2011/04/20 15:45:42 $
Summary:	System for layout and rendering of internationalized text - cross MinGW32 version
Summary(pl.UTF-8):	System renderowania międzynarodowego tekstu - wersja skrośna dla MinGW32
%define		realname   pango
Name:		crossmingw32-%{realname}
Version:	1.28.4
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pango/1.28/%{realname}-%{version}.tar.bz2
# Source0-md5:	3f3989700f04e9117d30544a9078b3a0
Patch0:		%{realname}-xfonts.patch
URL:		http://www.pango.org/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake >= 1:1.9
BuildRequires:	crossmingw32-cairo >= 1.8.0
BuildRequires:	crossmingw32-fontconfig >= 2.5.0
BuildRequires:	crossmingw32-freetype >= 2.1.7
BuildRequires:	crossmingw32-gcc
# opentype code uses C++ (but no STL)
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-glib2 >= 2.24.0
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	crossmingw32-cairo >= 1.8.0
Requires:	crossmingw32-fontconfig >= 2.5.0
Requires:	crossmingw32-freetype >= 2.1.7
Requires:	crossmingw32-glib2 >= 2.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
System for layout and rendering of internationalized text (cross
MinGW32 version).

%description -l pl.UTF-8
System obsługi i renderowania międzynarodowego tekstu (wersja skrośna
MinGW32).

%package dll
Summary:	DLL pango libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL pango dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-cairo-dll >= 1.8.0
Requires:	crossmingw32-fontconfig-dll >= 2.5.0
Requires:	crossmingw32-freetype-dll >= 2.1.7
Requires:	crossmingw32-glib2-dll >= 2.24.0
Requires:	wine

%description dll
DLL pango libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL pango dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
export PKG_CONFIG_LIBDIR=%{_pkgconfigdir}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# missing from make install but required by it
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pango

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/{gtk-doc,man}
# useless (modules loaded through libgmodule)
rm -f $RPM_BUILD_ROOT%{_libdir}/pango/1.6.0/modules/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{_libdir}/libpango-1.0.dll.a
%{_libdir}/libpangocairo-1.0.dll.a
%{_libdir}/libpangoft2-1.0.dll.a
%{_libdir}/libpangowin32-1.0.dll.a
%{_libdir}/libpango-1.0.la
%{_libdir}/libpangocairo-1.0.la
%{_libdir}/libpangoft2-1.0.la
%{_libdir}/libpangowin32-1.0.la
%{_libdir}/pango-1.0.def
%{_libdir}/pangocairo-1.0.def
%{_libdir}/pangoft2-1.0.def
%{_libdir}/pangowin32-1.0.def
%{_includedir}/pango-1.0
%{_pkgconfigdir}/pango.pc
%{_pkgconfigdir}/pangocairo.pc
%{_pkgconfigdir}/pangoft2.pc
%{_pkgconfigdir}/pangowin32.pc

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libpango-1.0-*.dll
%{_dlldir}/libpangocairo-1.0-*.dll
%{_dlldir}/libpangoft2-1.0-*.dll
%{_dlldir}/libpangowin32-1.0-*.dll
%dir %{_libdir}/pango
%dir %{_libdir}/pango/1.6.0
%dir %{_libdir}/pango/1.6.0/modules
%{_libdir}/pango/1.6.0/modules/*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-pango.spec,v $
Revision 1.31  2011/04/20 15:45:42  qboosh
- updated to 1.28.4
- BR: gcc-c++

Revision 1.30  2010/10/14 21:13:34  qboosh
- updated to 1.28.3

Revision 1.29  2010/10/04 05:31:07  qboosh
- updated to 1.28.2

Revision 1.28  2010/06/20 18:02:52  qboosh
- updated to 1.28.1

Revision 1.27  2010/03/31 07:14:08  qboosh
- updated to 1.28.0

Revision 1.26  2010/03/24 07:05:58  qboosh
- updated to 1.26.2
- package missing dirs

Revision 1.25  2010/01/22 02:49:52  lkrotowski
- pango modules included

Revision 1.24  2009/03/23 23:22:48  qboosh
- updated to 1.24.0

Revision 1.23  2008/12/25 07:46:22  qboosh
- updated to 1.22.4

Revision 1.22  2008/11/24 22:31:47  qboosh
- updated to 1.22.3

Revision 1.21  2008/10/31 18:00:48  qboosh
- updated to 1.22.2

Revision 1.20  2008/10/21 21:37:32  qboosh
- updated to 1.22.1

Revision 1.19  2008/09/29 19:28:06  qboosh
- updated to 1.22.0

Revision 1.18  2008/07/08 21:35:05  qboosh
- updated to 1.20.5

Revision 1.17  2008/05/27 18:48:28  qboosh
- updated to 1.20.3

Revision 1.16  2008-04-11 23:20:55  qboosh
- updated to 1.20.2

Revision 1.15  2008-03-13 06:34:51  qboosh
- updated to 1.20.0
- added lt patch (fixes build with libtool 2.2)

Revision 1.14  2008-01-09 18:07:31  qboosh
- updated to 1.18.4
- more verbose files
- force %{_lib}-independent libdir

Revision 1.13  2007-10-24 20:07:30  qboosh
- updated to 1.18.3

Revision 1.12  2007/10/20 22:26:06  wolf
- make -j1 install

Revision 1.11  2007/09/18 20:29:59  qboosh
- updated to 1.18.2

Revision 1.10  2007/08/28 17:06:50  qboosh
- PKG_CONFIG_LIBDIR requires pkgconfig 0.15

Revision 1.9  2007/08/28 17:06:13  qboosh
- updated to 1.18.1
- changed PKG_CONFIG_PATH to PKG_CONFIG_LIBDIR not to detect native libthai

Revision 1.8  2007/08/26 20:32:18  qboosh
- dropped unnecessary arch macro

Revision 1.7  2007/08/26 19:50:29  qboosh
- updated to 1.18.0

Revision 1.6  2007/05/07 17:14:39  qboosh
- updated to 1.16.4

Revision 1.5  2007/04/13 16:55:00  qboosh
- updated to 1.16.2

Revision 1.4  2007/03/08 09:00:50  qboosh
- BR: cross gcc

Revision 1.3  2007/03/07 21:02:38  qboosh
- updated to 1.16.0
- cleanup, separated -dll

Revision 1.2  2007/02/25 15:09:25  czarny
- proper shared + static build

Revision 1.1  2007/02/20 21:23:34  czarny
- new based on pango.spec
